{% extends '@KaitekFramework/Backend/module.html.twig' %}
{% trans_default_domain (modulename) %}
{% block begin_javascript_fix %}
<script type="text/javascript">
    {% endblock begin_javascript_fix %}



    {% block begin_javascript %}
    {{ parent() }}
    {{ modulename }}Obj.prototype = {
        init : function(){
            var t = this;
            {{ modulename }}Obj.superclass.init.call(t);
            t.windowButtons.add=false;
            t.windowButtons.delete=false;
            const gridConfig = {
                cm: [
                    {header: "{{ 'TaskCase.client'|trans }}", dataIndex: 'client', width: 100,filter:'single', type:'combo',store:t.extras.clients,alias:'tc',operator:'='},
                    {header: "{{ 'TaskCase.erprefnumber'|trans }}", dataIndex: 'erprefnumber', width: 80,filter:'single',alias:'tc',operator:'='},
                    {header: "{{ 'TaskCase.start'|trans }}", dataIndex: 'start', width: 90},
                    {header: "{{ 'TaskCase.finish'|trans }}", dataIndex: 'finish', width: 90},
                    {header: "{{ 'TaskCase.carrier'|trans }}", dataIndex: 'carrier', width: 100},
                    {header: "{{ 'TaskCase.opname'|trans }}", dataIndex: 'opname', width: 120,filter:'single',alias:'tc',operator:'='},
                    {header: "{{ 'TaskCase.stockcode'|trans }}", dataIndex: 'stockcode', width: 120,filter:'single',alias:'tc',operator:'='},
                    {header: "{{ 'TaskCase.locationsource'|trans }}", dataIndex: 'locationsource', width: 130},
                    {header: "{{ 'TaskCase.casename'|trans }}", dataIndex: 'casename', width: 100,filter:'single',alias:'tc',operator:'='},
                    {header: "{{ 'TaskCase.casenumber'|trans }}", dataIndex: 'casenumber', width: 100,filter:'single',alias:'tc',operator:'='},
                    {header: "{{ 'TaskCase.casetype'|trans }}", dataIndex: 'casetype', width: 40,filter:'single',alias:'tc',operator:'='},
                    {header: "{{ 'TaskCase.packcapacity'|trans }}", dataIndex: 'packcapacity', width: 60, align:'right'},
                    {header: "{{ 'TaskCase.quantityremaining'|trans }}", dataIndex: 'quantityremaining', width: 60, align:'right'},
                    {header: "{{ 'TaskCase.isclosed'|trans }}", dataIndex: 'isclosed', width: 60, renderer:mj.renderer.check()}
                ]
            };

            t._setGridConfig(gridConfig);

            const formConfig= {
                items: [
                    new mj.form.field({
                        dataIndex: 'id',
                        hidden: true
                    }),
                    new mj.form.textField({
                        title: "{{ 'TaskCase.client'|trans }}",
                        dataIndex: 'client',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'TaskCase.erprefnumber'|trans }}",
                        dataIndex: 'erprefnumber',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'TaskCase.opname'|trans }}",
                        dataIndex: 'opname',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'TaskCase.stockcode'|trans }}",
                        dataIndex: 'stockcode',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'TaskCase.casename'|trans }}",
                        dataIndex: 'casename',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'TaskCase.casenumber'|trans }}",
                        dataIndex: 'casenumber',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:200,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.textField({
                        title: "{{ 'TaskCase.casetype'|trans }}",
                        dataIndex: 'casetype',
                        maxLength: 50,
                        labelWidth : '90px',
                        width:50,
                        grid: 's4 m2',
                        disabled:true
                    }),
                    new mj.form.numberField({
                        title : "{{ 'TaskCase.packcapacity'|trans }}",
                        dataIndex : 'packcapacity',
                        labelWidth : '90px',
                        width : 50
                    }),
                    new mj.form.numberField({
                        title : "{{ 'TaskCase.quantityremaining'|trans }}",
                        dataIndex : 'quantityremaining',
                        labelWidth : '90px',
                        width : 50
                    })
                ]
            };
            t._setFormConfig(formConfig);

        }
    };
    {% endblock begin_javascript %}



    {% block begin_default_module %}
    {{ parent() }}
    {% endblock begin_default_module %}



    {% block end_default_module %}
    {{ parent() }}
    {% endblock end_default_module %}


    {% block end_javascript %}
    {{ parent() }}
    {% endblock end_javascript %}


    {% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}



{% block body %}
    {{ parent() }}
{% endblock body %}
